package com.hs.api.model;

import java.util.Date;
import java.util.List;

public class SerCustomPageField {
    private Long id;

    private Date createDate;

    private Long createUserid;

    private Short state;

    private String pageId;

    private String hosCode;

    private String indName;

    private String indCode;

    private String indField;

    private int type;

    private int xh;

    private int describe;

    private List<SerCustomPageField> children;

    private String parentIndCode;

    private boolean display;

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Long getCreateUserid() {
        return createUserid;
    }

    public void setCreateUserid(Long createUserid) {
        this.createUserid = createUserid;
    }

    public Short getState() {
        return state;
    }

    public void setState(Short state) {
        this.state = state;
    }

    public String getPageId() {
        return pageId;
    }

    public void setPageId(String pageId) {
        this.pageId = pageId;
    }

    public String getHosCode() {
        return hosCode;
    }

    public void setHosCode(String hosCode) {
        this.hosCode = hosCode;
    }

    public String getIndName() {
        return indName;
    }

    public void setIndName(String indName) {
        this.indName = indName;
    }

    public String getIndCode() {
        return indCode;
    }

    public void setIndCode(String indCode) {
        this.indCode = indCode;
    }

    public String getIndField() {
        return indField;
    }

    public void setIndField(String indField) {
        this.indField = indField;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public int getXh() {
        return xh;
    }

    public void setXh(int xh) {
        this.xh = xh;
    }

    public int getDescribe() {
        return describe;
    }

    public void setDescribe(int describe) {
        this.describe = describe;
    }

    public boolean isDisplay() {
        return display;
    }

    public void setDisplay(boolean display) {
        this.display = display;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getParentIndCode() {
        return parentIndCode;
    }

    public void setParentIndCode(String parentIndCode) {
        this.parentIndCode = parentIndCode;
    }

    public List<SerCustomPageField> getChildren() {
        return children;
    }

    public void setChildren(List<SerCustomPageField> children) {
        this.children = children;
    }

}